1. testimonial
new-brevet
  • auth
    • register
      POST
    • login
      POST
    • verification
      POST
    • resend verification
      POST
    • refresh token
      POST
    • logout
      DELETE
  • upload
    • upload documents
      POST
    • delete file
      DELETE
    • upload image
      POST
  • user
    • get all user
      GET
    • me
      GET
    • update my profile
      PUT
    • update user
      PUT
    • create user
      POST
    • delete user
      DELETE
  • blog
    • get all blogs
      GET
    • get blog by slug
      GET
    • update blog
      PUT
    • create blog
      POST
    • delete blog
      DELETE
  • batch
    • get batch by slug
    • get all batch
    • get quota remaining
    • get all batch by course slug
    • Get All purchases Copy
    • Get All students
    • delete batch
    • create batch
    • update batch
  • group
    • get all group
    • get group by id
  • course
    • get all course
    • get course by slug
    • create course
    • update course
    • update course Copy
  • testimonial
    • get all testimonial by batch slug
      GET
    • get all testimonial
      GET
    • get testimonial by id
      GET
    • create testimonial
      POST
    • update testimonial
      PATCH
    • delete testimonial
      DELETE
  • purchase
    • Get All purchases
    • Get purchase by id
    • update status payment
  • me
    • Get All purchases Copy
    • Get all upcoming assignments
    • Get all upcoming quiz
    • Get purchase by id Copy
    • me
    • Get All score by batch id
    • Get My batch
    • generate my certificate by batch id
    • Get My certificate by batch id
    • Get progress by batch id
    • create purchase
    • cancel payment
    • upload payment
    • update my profile Copy
  • meeting
    • Get All Meetings
    • Get All meetings by batch slug
    • Get meeting by id
    • Get All teachers by meeting id
    • create meeting
    • update meeting
    • Delete meeting
    • assign teacher
    • update assign teacher (replace all)
    • unassign teacher from meeting
  • assignments
    • Get All Assignments
    • Get Assignment by id
    • Get All Assignments by meeting id
    • create assignment
    • update assignment
    • delete assignment
  • materials
    • Get All Materials
    • Get Material by id
    • Get All Materials by meeting id
    • create material
    • update material
    • delete material
  • attendance
    • Get All Attendances
    • Get All Attendances by batch slug
    • Get Attendance by ID
    • create attendance
  • certificate
    • Get certificate by cert id (admin, guru)
    • Get certificate for public (check if asli) Copy
    • Get certificate by batch id (admin, guru)
    • Get certificate by number for public
  • quiz
    • Get quiz by id
    • Get attempt active
    • get list of attempt in quiz
    • Get question by quiz id
    • get quiz by meeting id
    • Get attempt
    • Get attempt result
    • create quiz
    • update quiz
    • delete quiz
    • upload soal
    • start attempt quiz
    • submit attempt quiz
    • temporer submit
  • submission
    • Get detail submission
    • Get All Submissions by assigment id
    • Get submission grade
    • Get template excel grading
    • create submission
    • Grading with excel
    • grade submission
    • update submission
    • delete submission
  • score
    • get score by batch slug and student id
  • dashboard
    • admin
      • Get dashboard admin
      • Get revenue chart
      • Get pending payment
      • Get batch progress
      • Get teacher workload
      • Get certificate stats
      • Get recent activities
    • teacher
      • Get dashboard Teacher
    • student
      • Get dashboard student
      • Get dashboard Score
  1. testimonial

get testimonial by id

Developing
GET
{{url}}/api/v1/testimonials/0e20ff85-d8dd-4e9e-b827-cf0255062b5b

Request

None

Responses

🟢200OK
application/json
Body

🟢200OK
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET '{{url}}/api/v1/testimonials/0e20ff85-d8dd-4e9e-b827-cf0255062b5b'
Response Response Example
200 - OK - Example 1
{
    "data": {
        "id": "string",
        "user_id": "string",
        "batch_id": "string",
        "rating": 0,
        "title": "string",
        "description": "string",
        "created_at": "string",
        "updated_at": "string",
        "user": {
            "id": "string",
            "name": "string",
            "email": "string",
            "phone": "string",
            "avatar": "string",
            "created_at": "string",
            "updated_at": "string",
            "role_type": "string"
        },
        "batch": {
            "id": "string",
            "course_id": "string",
            "slug": "string",
            "title": "string",
            "description": "string",
            "batch_thumbnail": "string",
            "start_at": "string",
            "end_at": "string",
            "start_time": "string",
            "end_time": "string",
            "room": "string",
            "quota": 0,
            "days": null,
            "batch_groups": [
                "string"
            ],
            "created_at": "string",
            "updated_at": "string",
            "course_type": "string"
        }
    },
    "message": "string",
    "success": true
}
Modified at 2025-08-28 18:53:02
Previous
get all testimonial
Next
create testimonial
Built with